Welcome to the Treehouse Community

The Treehouse Community is a meeting place for developers, designers, and programmers of all backgrounds and skill levels to get support. Collaborate here on code errors or bugs that you need feedback on, or asking for an extra set of eyes on your latest project. Join thousands of Treehouse students and alumni in the community today. (Note: Only Treehouse students can comment or ask questions, but non-students are welcome to browse our conversations.)

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and a supportive community. Start your free trial today.

iOS Build an Interactive Story App with Swift Creating the User Interface Programmatically Page Controllers

Raymond Choy
seal-mask
.a{fill-rule:evenodd;}techdegree seal-36
Raymond Choy
iOS Development with Swift Techdegree Graduate 11,187 Points

Why won't background color of page controller change to .blue?

I have followed the teacher's code exactly from this lecture video, yet when I launch the simulator the background of the next page after the launch page still shows as white.

Why won't background color of page controller change to .blue?

I am using Xcode 11.2.1 and as it is now Dec 2019, I believe I am working with Swift version 5.1. Is there something I am missing about the latest versions of Swift that is not reflected in the teacher's video from 3 years ago?

2 Answers

Cameron Cochran
seal-mask
.a{fill-rule:evenodd;}techdegree
Cameron Cochran
Front End Web Development Techdegree Student 8,781 Points

I might misunderstand the question so apologies if that is the case but I have run in to this problem with the CSS videos...make sure the right workspace is launched. Sometimes I have to "launch new workspace" and find the corresponding video and type it in manually then launch...when I reopen my reference I find that the code works fine.

Raymond Choy
seal-mask
.a{fill-rule:evenodd;}techdegree seal-36
Raymond Choy
iOS Development with Swift Techdegree Graduate 11,187 Points

The code for these lectures were written back in 2015 or 2016 and are now out-of-date and incompatible with Swift 5.1/X-Code 11.2.

So I was able to the Apple Developer website https://developer.apple.com/download/more/ and download X-code 9.0 which still works on MAC OS Mojave yet also run the out-of-date Swift 3.0 code in these lecture with minor modifications.